> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the cloud cost data

> Retrieve cloud cost



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/cost/v1/cloudCost
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/cost/v1/cloudCost:
    get:
      tags:
        - Cost
      summary: Get the cloud cost data
      description: Retrieve cloud cost
      operationId: getCloudCost
      parameters:
        - description: >-
            Duration of time over which to query. Accepts words like today,
            week, month, yesterday, lastweek, lastmonth; durations like 30m,
            12h, 7d, or time like 2021-03-10T00:00:00Z,2021-03-11T00:00:00Z
          example: window=3d
          in: query
          name: window
          required: true
          schema:
            type: string
        - description: >-
            Determines which cloud cost metric type will be returned. Acceptable
            values are AmortizedNetCost, InvoicedCost, ListCost, and NetCost.
            Default is AmortizedNetCost.
          in: query
          name: costMetric
          required: false
          schema:
            $ref: '#/components/schemas/CloudCostMetricsV1'
        - description: >-
            Field by which to aggregate the results. Accepts: invoiceEntityID,
            accountID, provider, service, and label:<name>. Supports
            multi-aggregation using comma-separated lists. Example:
            aggregate=accountID,service
          in: query
          name: aggregate
          required: false
          schema:
            type: string
        - description: Filter for account
          in: query
          name: filterInvoiceEntityIDs
          required: false
          schema:
            type: string
        - description: GCP only, filter for projectID
          in: query
          name: filterAccountIDs
          required: false
          schema:
            type: string
        - description: Filter for cloud service provider
          in: query
          name: filterProviders
          required: false
          schema:
            type: string
        - description: Filter for resource-level ID given by CSP
          in: query
          name: filterProvidersID
          required: false
          schema:
            type: string
        - description: Filter for cloud service
          in: query
          name: filterServices
          required: false
          schema:
            type: string
        - description: Filter based on object type
          in: query
          name: filterCategories
          required: false
          schema:
            type: string
        - description: >-
            Filter for a specific label. Does not support filtering for multiple
            labels at once
          in: query
          name: filterLabels
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FreeFormJsonObjectV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    CloudCostMetricsV1:
      description: Determines which cloud cost metric type will be returned
      enum:
        - AmortizedNetCost
        - InvoicedCost
        - ListCost
        - NetCost
      type: string
    FreeFormJsonObjectV1:
      additionalProperties: true
      description: Cloud Cost data
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````